<?php
include '../ConsumoApiToken/Conexion.php';
header("Content-Type: application/json; charset=UTF-8");

class Operaciones
{
    
    public function PA_ListarTokenSistema($filtro1, $filtro2, $filtro3, $filtro4, $filtro5)
    {
        $conn = new Conexion();
        $conn->Conectar();
    
        // Agregamos los 5 parámetros
        $conn->Parametro("@filtro1", $filtro1);
        $conn->Parametro("@filtro2", $filtro2);
        $conn->Parametro("@filtro3", $filtro3);
        $conn->Parametro("@filtro4", $filtro4);
        $conn->Parametro("@filtro5", $filtro5);
    
        // Llamamos al procedimiento almacenado
        $data = $conn->Procedimiento("dbo.PA_ListarTokenSistema");
    
        $conn->Desconectar();
        return json_encode($data);
    }

      public function PA_ListarSucursales()
    {
        $conn = new Conexion();
        $conn->Conectar();
        
        // Si tu SP está en el esquema 'sistema', inclúyelo:
        $data = $conn->Procedimiento("sistema.PA_ListarSucursales");
        
        $conn->Desconectar();
        return json_encode($data, JSON_UNESCAPED_UNICODE);
    }
	 
}

$request = json_decode(file_get_contents('php://input'), true);

switch ($request['accion']) {
case 'PA_ListarSucursales':
        echo $app->PA_ListarSucursales();
        break;
	case 'PA_ListarZonasMesa':
		try{
		    $descripcion = $request['Descripcion'];
        	$app = new Operaciones();
        	echo $app->PA_ListarZonasMesa($descripcion);
	    }catch (Exception $ex){
	        echo json_encode($ex);
	    }
	    break;
	    
}



